$ontext
Copyright (C)   2006 Shiro Takeda
Time-stamp: 	<2007-02-19 20:42:09 Shiro Takeda>
$Id: sub_output_results.gms,v 1.2 2007/02/19 11:26:53 st Exp $
version:
Author: 	Shiro Takeda <zbc08106@park.zero.ad.jp>
e-mail:		<zbc08106@park.zero.ad.jp>
First-written:	<2006/07/23>

This program assigns values to parameters for reporting results.

$offtext

chk_walrus(ms) = sum(rnum, inc_ra.m(rnum) / inc_ra.l(rnum));

chk_modelstat(ms) = gtap_trade_lib_mcp.modelstat;
chk_solvestat(ms) = gtap_trade_lib_mcp.solvestat;

l_p_x_(ms,i,r,s)
    = (
	(sh_imp(i,r,s) * (1 - rtxs(i,r,s)) * p_y.l(i,r) / pmm0(i,r,s)
	    + ((1 - sh_imp(i,r,s)) * (tau(i,r,s)*p_t.l/tau0(i,r,s)))$tau0(i,r,s)
	)$l(i)
	+
	(sh_imp(i,r,s) * (1 - rtxs(i,r,s)) * p_x.l(i,r,s) / pmm0(i,r,s)
	    + ((1 - sh_imp(i,r,s)) * (tau(i,r,s)*p_t.l/tau0(i,r,s)))$tau0(i,r,s)
	)$k(i)
    )$vxmd(i,r,s);
* display l_p_x_;

l_ev(r,ms) = vcm(r) * (u.l(r) - 1) * 1000;
l_ev("World",ms) = sum(r, l_ev(r,ms));

pc_u(r,ms) = 100 * (u.l(r) - 1);
pc_u("World",ms) =
    100 * (sum(r, vcm(r)*u.l(r))/sum(r, vcm(r)) - 1);

pc_scale(r,k,ms)$vom(k,r) = 100 * (q_t.l(k,r) - 1);
pc_scale(r,l,ms)$vom(l,r) = eps;
pc_n(r,k,ms)$vom(k,r) = 100 * (n.l(k,r) - 1);
pc_n(r,l,ms)$vom(l,r) = eps;
pc_so(r,k,ms)$vom(k,r)
    = 100 * (n.l(k,r)*q_t.l(k,r) - 1);
pc_so(r,l,ms)$vom(l,r)
    = 100 * (y.l(l,r) - 1);

pc_markup_ds(r,i,ms)$(k(i) and vdm(i,r))
    = (100 * (mu_d.l(i,r) - 1))$(not fl_int)
    + (100 * (mu_d.l(i,r) - 1))$(fl_int and fl_p)
    + (100 * (mu.l(i,r) - 1))$(fl_int and fl_q);

pc_markup_ex(r,s,i,ms)$(k(i) and vxmd(i,r,s))
    = (100 * (mu_x.l(i,r,s) - 1))$(not fl_int)
    + (100 * (mu_x.l(i,r,s) - 1))$(fl_int and fl_p)
    + (100 * (mu.l(i,r) - 1))$(fl_int and fl_q);

pc_markup_exx(r,s,i,ms)$(k(i) and vxmd(i,r,s))
    = (100 * (mu_xx.l(i,r,s) - 1))$(not fl_int)
    + (100 * (mu_xx.l(i,r,s) - 1))$(fl_int and fl_p)
    + (100 * (mu.l(i,r) - 1))$(fl_int and fl_q);

pc_ave_markup(r,i,ms)$(k(i) and vom(i,r) and (not fl_int)) =
    100 * (
	((qd0(i,r)*q_d.l(i,r)/(qt0(i,r)*q_t.l(i,r)))*mud0(i,r)*mu_d.l(i,r)
	    + sum(s, (qx0(i,r,s)*q_x.l(i,r,s)/(qt0(i,r)*q_t.l(i,r)))
		*mux0(i,r,s)*mu_x.l(i,r,s))
	) / ((qd0(i,r)/qt0(i,r))*mud0(i,r)
	    + sum(s, (qx0(i,r,s)/qt0(i,r))*mux0(i,r,s)))
	- 1);
pc_ave_markup(r,i,ms)$(k(i) and vom(i,r) and fl_int)
    = 100 * (mu.l(i,r) - 1);
pc_ave_markup(r,l,ms)$vom(l,r) = eps;

pc_ave_markup_ex(r,i,ms)$(k(i) and vom(i,r) and (not fl_int))
    = 100 *
    ((sum(s, (qx0(i,r,s)*q_x.l(i,r,s)/(qt0(i,r)*q_t.l(i,r)-qd0(i,r)*q_d.l(i,r)))
	*mux0(i,r,s)*mu_x.l(i,r,s)))
	/ sum(s, (qx0(i,r,s)/(qt0(i,r)-qd0(i,r)))*mux0(i,r,s))
    - 1);
pc_ave_markup_ex(r,i,ms)$(k(i) and vom(i,r) and fl_int)
    = 100 * (mu.l(i,r) - 1);

pc_ave_markup_exx(r,i,ms)$(k(i) and vom(i,r) and (not fl_int))
    = 100 *
    ((sum(s, (qx0(i,r,s)*q_x.l(i,r,s)/(qt0(i,r)*q_t.l(i,r)-qd0(i,r)*q_d.l(i,r)))
	*muxx0(i,r,s)*mu_xx.l(i,r,s)))
	/ sum(s, (qx0(i,r,s)/(qt0(i,r)-qd0(i,r)))*muxx0(i,r,s))
    - 1);
pc_ave_markup_exx(r,i,ms)$(k(i) and vom(i,r) and fl_int)
    = 100 * (mu.l(i,r) - 1);

pc_ac(r,i,ms)$(k(i) and vom(i,r))
    = 100 *
    (((qt0(i,r)*q_t.l(i,r) + fc0(i,r))/(qt0(i,r)*q_t.l(i,r)))
	/ ((qt0(i,r) + fc0(i,r))/qt0(i,r)) - 1);
pc_ac(r,i,ms)$(l(i) and vom(i,r)) = eps;

pc_tfc(r,i,ms)$(k(i) and vom(i,r))
    = 100 *
    (fc0(i,r)*n0(i,r)*n.l(i,r)/(fc0(i,r)*n0(i,r)) - 1);

pc_pd(r,i,ms)$(k(i) and vdm(i,r))
    = 100 * (p_d.l(i,r) - 1);
pc_pd(r,i,ms)$(l(i) and vdm(i,r))
    = 100 * (p_y.l(i,r) - 1);

pc_px_cif(i,ms,r,s)$(k(i) and vxmd(i,r,s))
    = 100 * (l_p_x_(ms,i,r,s) - 1);
pc_px_cif(i,ms,r,s)$(l(i) and vxmd(i,r,s))
    = 100 * (l_p_x_(ms,i,r,s) - 1);

pc_px_cif_ave(i,ms,r)$(k(i) and vom(i,r))
    = 100 * (sum(s, (qx0(i,r,s)*q_x.l(i,r,s)/(qt0(i,r)*q_t.l(i,r)-qd0(i,r)*q_d.l(i,r)))
	* l_p_x_(ms,i,r,s)) - 1);
pc_px_cif_ave(i,ms,r)$(l(i) and vom(i,r))
    = 0;

l_p_pf(i,r)$vad(i,r) =
    ((sum(f$sh_f(f,i,r),
	sh_f(f,i,r)
	* ((1+rtf(f,i,r)) * p_f.l(f,r) / pf0(f,i,r))**(1-sig_pf(i,r)))
    )**(1/(1-sig_pf(i,r))))$(sig_pf(i,r) ne 1)
    +
    (prod(f$sh_f(f,i,r),
	((1+rtf(f,i,r)) * p_f.l(f,r) / pf0(f,i,r))**(sh_f(f,i,r)))
    )$(sig_pf(i,r) eq 1)
;
l_a_f(f,i,r)$vfm(f,i,r) =
    (vfm(f,i,r) *
	(l_p_pf(i,r) / ((1+rtf(f,i,r))*p_f.l(f,r)/pf0(f,i,r)))**(sig_pf(i,r))
    );

pc_lab(l,r,ms)$vfm("lab",l,r)
    = 100 * (l_a_f("lab",l,r)*y.l(l,r) / vfm("lab",l,r) - 1);
pc_lab(k,r,ms)$vfm("lab",k,r)
    = 100 * ((1 - sh_trns(k,r))*l_a_f("lab",k,r)*n.l(k,r)*q_tt.l(k,r)
    / ((1-sh_trns(k,r))*vfm("lab",k,r)) - 1);

option pc_u:3, pc_scale:3, pc_so:3, pc_n:3;
option pc_markup_ds:3, pc_markup_ex:3, pc_markup_exx:3,
pc_ave_markup:3, pc_ave_markup_ex:3, pc_ave_markup_exx:3;
option pc_pd:3, pc_px_cif:3, pc_px_cif_ave:3;
option pc_ac:3, pc_tfc:3;

* display pc_scale, pc_n, pc_so;
* display pc_markup_ds, pc_markup_ex, pc_markup_exx, pc_ave_markup,
* 	pc_ave_markup_ex, pc_ave_markup_exx;
* display pc_ac, pc_tfc;
* display pc_pd, pc_px_cif, pc_px_cif_ave;

* display chk_walrus;
* display chk_modelstat, chk_solvestat;
* display l_ev;
* display pc_u;
* display calib_fail, solve_fail;

* --------------------
* Local Variables:
* mode: gams
* fill-column: 80
* End:
