display "com: Initial values";
$ontext
Copyright (C)   2006 Shiro Takeda
Time-stamp: 	<2007-01-10 17:28:44 Shiro Takeda>
$Id: sub_initial_values.gms,v 1.2 2007/02/19 11:26:53 st Exp $
version:
Author: 	Shiro Takeda <zbc08106@park.zero.ad.jp>
e-mail:		<zbc08106@park.zero.ad.jp>
First-written:	<2005/01/01>

This program sets initial values and lower bound for variables.

$offtext
*	----------------------------------------------------------------------
*	Lower bound.
q_d.lo(i,r) = 1e-6;
q_x.lo(i,r,s) = 1e-6;
n.lo(i,r) = 1e-6;
q_tt.lo(i,r) = 1e-6;
q_t.lo(i,r) = 1e-6;
mu_d.lo(i,r) = 1e-6;
mu_x.lo(i,r,s) = 1e-6;
mu_xx.lo(i,r,s) = 1e-6;
mu.lo(i,r) = 1e-6;
y.lo(i,r) = 1e-6;
a.lo(i,r) = 1e-6;
ad.lo(i,r) = 1e-6;
am.lo(i,r) = 1e-6;
m.lo(i,r,s) = 1e-6;
u.lo(r) = 1e-6;
yt.lo = 1e-6;
y_xt.lo(i,r) = 1e-6;
p_y.lo(i,r) = 1e-6;
p_d.lo(i,r) = 1e-6;
p_x.lo(i,r,s) = 1e-6;
p_ad.lo(i,r) = 1e-6;
p_am.lo(i,r) = 1e-6;
p_m.lo(i,r,s) = 1e-6;
p_t.lo = 1e-6;
p_a.lo(i,r) = 1e-6;
p_f.lo(f,r) = 1e-6;
p_u.lo(r) = 1e-6;
p_com.l(i,r) = 1e-6;
inc_ra.lo(r) = 1e-6;
ac.lo(i,r) = 1e-6;

*	----------------------------------------------------------------------
*	Initial values.
q_d.l(i,r) = 1;
q_x.l(i,r,s) = 1;
n.l(i,r) = 1;
q_tt.l(i,r) = 1;
q_t.l(i,r) = 1;
mu_d.l(i,r) = 1;
mu_x.l(i,r,s) = 1;
mu_xx.l(i,r,s) = 1;
mu.l(i,r) = 1;
y.l(i,r) = 1;
a.l(i,r) = 1;
ad.l(i,r) = 1;
am.l(i,r) = 1;
m.l(i,r,s) = 1;
u.l(r) = 1;
yt.l = 1;
y_xt.l(i,r) = 1;
p_y.l(i,r) = 1;
p_d.l(i,r) = 1;
p_x.l(i,r,s) = 1;
p_ad.l(i,r) = 1;
p_am.l(i,r) = 1;
p_m.l(i,r,s) = 1;
p_t.l = 1;
p_a.l(i,r) = 1;
p_f.l(f,r) = 1;
p_u.l(r) = 1;
p_com.l(i,r) = 1;
inc_ra.l(r) = vcm(r);
ac.l(i,r) = 1;
profit.l(i,r) = 0;
h_p.l(r,i,s) = 1;
h_pm.l(r,i,t,s) = 1;
h_pam.l(r,i,s) = 1;
h_pad.l(r,i,s) = 1;
h_pa.l(r,i,s) = 1;
dum_obj.l = 1;

* --------------------
* Local Variables:
* mode: gams
* fill-column: 78
* End:
